<settings>
  <proxies>
    <proxy>      
      <active>false</active>
      <protocol>http</protocol>
      <host>www-cache.ujf-grenoble.fr</host>
      <port>3128</port>
      <nonProxyHosts>*.jmmc.fr|*.ujf-grenoble.fr|localhost*|127.0.0.1</nonProxyHosts>
    </proxy>
  </proxies>

    <profiles>
        <profile>
            <id>dev</id>
            <properties>
      <!-- disable jar signer -->
                <jarsigner.skip>true</jarsigner.skip>
      <!-- disable javadoc -->
      <maven.javadoc.skip>true</maven.javadoc.skip>
      <!-- disable tests -->
                <maven.test.skip>true</maven.test.skip>
            </properties>
        </profile>

        <profile>
            <id>deployer</id>
            <properties>
                <jarsigner.skip>false</jarsigner.skip>
        <jarsigner.alias>codesigningcert</jarsigner.alias>
        <jarsigner.keystore>{{ansible_user_dir}}/.m2/keystore-jmmc.jks</jarsigner.keystore>
        <jarsigner.keypass>{{jarsigner_passwd}}</jarsigner.keypass>
        <jarsigner.storepass>{{jarsigner_passwd}}</jarsigner.storepass>
        
        <!-- disable tests -->
                <maven.test.skip>true</maven.test.skip>
            </properties>
        </profile>
    </profiles>

    <activeProfiles>
        <activeProfile>deployer</activeProfile>
    </activeProfiles>

</settings> 
